﻿@model PortalChartView
<!-- CHART MODAL-->
<script>
    if(mParamsArray == undefined){
        var mParamsArray = [];
    }
</script>
<div style="width: 100%; height: 500px; position: relative;">
    <div class="col-md-12">
        <div class="news_block_title">
            @Model.ChartName
        </div>
    </div>
    <div class="panel-body" style="width:100%">
        <div id="ChartDrawPanel_@Model.IdChart" style="width:100%; height:400px;"></div>
        <div id="ChartDrawPanelOverlay_@Model.IdChart" class="overlay-loading" style="display:none"></div>
        <div id="ChartDrawPanelLoading_@Model.IdChart" class="loading-img" style="display:none"></div>
        <div id="ChartDrawPanelParams_@Model.IdChart" class="overlay-data" style="display:none">
            <h2 class="margin-bottom">
                @Charts.EP
            </h2>
            @foreach (PortalChartParamView mParam in Model.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").ToList())
            {
                var mIdParam = "ChartParamValue_" + Model.IdChart + "_" + mParam.ParamName;
                <div class="row">
                    <div class="col-md-4">
                        <label>@mParam.ParamNamePortal</label>
                        @Html.Hidden("ChartParamName_" + Model.IdChart, mParam.ParamName, new { @Id = "ChartParamName_" + Model.IdChart })
                    </div>
                    <div class="col-md-8">

                        <input id="@mIdParam" class="form-control" placeholder="@mParam.ParamNamePortal" type="text" value="">
                    </div>
                </div>
            }
            
        </div>
        <div class="panel-footer" style="margin-bottom:35px;">
            @if (Model.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").Count() > 0)
            {
                <button type="button" class="btn btn-success btn-ls reloadbut2" onclick="ReloadChartParams(@Model.IdChart)"><span class="glyphicon glyphicon-refresh"></span> @Charts.Refresh</button>
            }
            <a class="btn btn-success btn-ls" onclick="DrawChartWithParamsEnteredByUser(@Model.IdChart)">@PurchaseOrders.View @Charts.CHT</a>
            <button class="btn btn-success btn-ls print pull-right" type="submit"> <span class="glyphicon glyphicon-print "> </span>  Imprimir Reporte</button>
        </div>
    </div>
</div>
<script>
    mParamsArray[@Model.IdChart] = [];
    mParamsArray[@Model.IdChart][0] = [];
    @foreach (PortalChartParamView mParam in Model.PortalChartParamList.Where(c => c.ParamValue != "EnteredByUser").ToList())
    {
        <text>
            mParamsArray[@Model.IdChart][0].push({
                ParamName: "@mParam.ParamName",
                ParamValue: "@mParam.ParamValue",
                ParamFixedValue: "@mParam.ParamFixedValue"
            });
        </text>
    }
    @if (Model.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").Count() == 0)
    {
        <text>
            getDataAndDrawChart(@Model.IdSAPQuery, "@Model.IdChartType", "@(Model.PortalChartColumns.Count > 0 ? Model.PortalChartColumns[0].MappedFieldName : "")", "@(Model.PortalChartColumns.Count > 0 ? Model.PortalChartColumns[1].MappedFieldName : "")", "ChartDrawPanel_@Model.IdChart", mParamsArray[@Model.IdChart][0], 0);
        </text>
    }
    else
    {
        <text>
            mParamsArray[@Model.IdChart][1] = @Model.IdSAPQuery;
            mParamsArray[@Model.IdChart][2] = "@Model.IdChartType";
            mParamsArray[@Model.IdChart][3] = "@(Model.PortalChartColumns.Count > 0 ? Model.PortalChartColumns[0].MappedFieldName : "")";
            mParamsArray[@Model.IdChart][4] = "@(Model.PortalChartColumns.Count > 0 ? Model.PortalChartColumns[1].MappedFieldName : "")";
            $("#ChartDrawPanelParams_@Model.IdChart").show();
        </text>
    }
</script>
